Bug 854553 - Review Request: gr-air-modes - SDR receiver for Mode S transponder signals (ADS-B)
Review Request: gr-air-modes - SDR receiver for Mode S transponder signals (A...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Synacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-05 06:27 EDT by Jaroslav Škarvada
Modified: 2012-12-20 10:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:29:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jsynacek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Škarvada 2012-09-05 06:27:52 EDT
Spec URL: http://fedorapeople.org/~jskarvad/gr-air-modes/gr-air-modes.spec
SRPM URL: http://fedorapeople.org/~jskarvad/gr-air-modes/gr-air-modes-0-0.1.20120905git6c7a7370.fc17.src.rpm
Description: Software defined radio receiver for Mode S transponder signals, including ADS-B reports.
Fedora Account System Username: jskarvad

gr-air-modes-add-soname.patch is there to silent rpmlint, patch sent upstream.
Comment 1 Jan Synacek 2012-09-06 10:21:15 EDT
One minor glitch. The Requires(post) and Requires(postun) sections hard-code /sbin/ldconfig. Please use %{_sbindir} instead.

I have not found any other problems with the package.
Comment 2 Jaroslav Škarvada 2012-09-19 05:01:22 EDT
(In reply to comment #1)

Thanks for the review.

> One minor glitch. The Requires(post) and Requires(postun) sections hard-code
> /sbin/ldconfig. Please use %{_sbindir} instead.
> 
I followed the guidelines that use example without macros:
http://fedoraproject.org/wiki/Packaging:Guidelines#Shared_Libraries

But probably no problem to change.

New versions:
Spec URL: http://fedorapeople.org/~jskarvad/gr-air-modes/gr-air-modes.spec
SRPM URL: http://fedorapeople.org/~jskarvad/gr-air-modes/gr-air-modes-0-0.2.20120905git6c7a7370.fc17.src.rpm
Comment 3 Jan Synacek 2012-09-24 07:48:57 EDT
I also noticed that there is a 'docs' folder in the upstream source containing doxygen documentation. Maybe it would be a good idea to package it as well? E.g. as a '-doc' package?
Comment 4 Jaroslav Škarvada 2012-09-24 08:31:40 EDT
(In reply to comment #3)
> I also noticed that there is a 'docs' folder in the upstream source
> containing doxygen documentation. Maybe it would be a good idea to package
> it as well? E.g. as a '-doc' package?

Thanks for the catch, new files:
Spec URL: http://fedorapeople.org/~jskarvad/gr-air-modes/gr-air-modes.spec
SRPM URL: http://fedorapeople.org/~jskarvad/gr-air-modes/gr-air-modes-0-0.3.20120905git6c7a7370.fc17.src.rpm
Comment 5 Jan Synacek 2012-09-24 09:20:13 EDT
Looks ok now, approving.
Comment 6 Jaroslav Škarvada 2012-09-24 09:22:54 EDT
New Package SCM Request
=======================
Package Name: gr-air-modes
Short Description: SDR receiver for Mode S transponder signals (ADS-B)
Owners: jskarvad
Branches: f17 f18
InitialCC:
Comment 7 Gwyn Ciesla 2012-09-24 09:35:01 EDT
Git done (by process-git-requests).
Comment 8 Jaroslav Škarvada 2012-09-24 16:15:25 EDT
Thanks.
Comment 9 Fedora Update System 2012-09-24 16:47:20 EDT
gr-air-modes-0-0.3.20120905git6c7a7370.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gr-air-modes-0-0.3.20120905git6c7a7370.fc18
Comment 10 Fedora Update System 2012-09-24 16:49:47 EDT
gr-air-modes-0-0.3.20120905git6c7a7370.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gr-air-modes-0-0.3.20120905git6c7a7370.fc17
Comment 11 Fedora Update System 2012-09-25 00:32:03 EDT
gr-air-modes-0-0.3.20120905git6c7a7370.fc17 has been pushed to the Fedora 17 testing repository.
Comment 12 Fedora Update System 2012-09-26 06:05:10 EDT
gr-air-modes-0-0.4.20120905git6c7a7370.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gr-air-modes-0-0.4.20120905git6c7a7370.fc18
Comment 13 Fedora Update System 2012-09-26 06:05:48 EDT
gr-air-modes-0-0.4.20120905git6c7a7370.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gr-air-modes-0-0.4.20120905git6c7a7370.fc17
Comment 14 Fedora Update System 2012-12-20 10:29:03 EST
gr-air-modes-0-0.4.20120905git6c7a7370.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.